> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reputations

> Learn about the /reputations endpoint.

Learn about the `/reputations` endpoint.

Reputation objects contain information related to the performance metrics of the user within a particular payroll account.

![High level structure of the reputation object.](https://res.cloudinary.com/argyle-media/image/upload/f_auto/v1674859089/docs-2023/API%20Endpoints/Reputations)

## The reputation object

### Attributes

* `id` (string (uuid), optional): Unique ID of the reputation object associated with a user's payroll account.
* `account` (string (uuid), optional): ID of the payroll account associated with the reputation object.
* `employer` (string, optional): The name of the company or entity that employs the user.
* `acceptance_rate` (string, optional): Average acceptance rate. Supplied by the gig platform (usually between 0 and 1).
* `ontime_rate` (string, optional): Average on-time rate. Supplied by the gig platform (usually between 0 and 1).
* `achievements` (array of objects, optional): Various achievements returned by the gig platform. Can include url links to achievements, descriptions, points, or similar.
* `metadata` (object, optional): Holds additional, often unstructured information about this data resource.

```json theme={}

{
"id": "1f24c447-d645-41ab-afb7-e81b1db699c5",
"account": "810a054e-8133-4411-9722-12ebd6db040f",
"employer": "GigDrive",
"rating": "4.95",
"acceptance_rate": "0.86",
"ontime_rate": "0.80",
"achievements": [
  {
"count": 1,
"label": "perfect_rating",
"badge_url": "https://media.website.com/1554853.png",
"description": "Earned on total 5-star ratings",
"points": "5"
}
],
"created_at": "2020-09-10T17:12:49.715Z",
"updated_at": "2020-09-11T08:52:38.138Z",
"metadata": {}
},
null,
2
  
```

<RefSubLayout.Divider />

## Retrieve a reputation

**GET** `/v1/reputations/{id}`

* Retrieve a reputation object with the supplied ID.
* This request returns a reputation object if you provided a valid identifier.

### Path parameters

* `id` (string (uuid), required): The identifier of the reputation to be retrieved.

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/reputations/{id} \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/reputations/{id}"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

{
  "id": "01805174-1bff-8dd4-63fe-9397ece30973",
  "account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
  "employer": "udre",
  "rating": "4.55",
  "acceptance_rate": "0.92",
  "ontime_rate": "0.93",
  "achievements": [
{
  "count": 2,
  "label": "excellent_service",
  "points": null,
  "metadata": {},
  "badge_url": "https://partners.udre.com/p3/badges/23d730df-8bd5-4929-ae97-01d07a434b85?in_app=true",
  "description": "Excellent Service"
},
{
  "count": 2,
  "label": "great_conversation",
  "points": null,
  "metadata": {},
  "badge_url": "https://partners.udre.com/p3/badges/02b67a89-5ac3-4c46-b366-382c96d74c8c?in_app=true",
  "description": "Great Conversation"
},
{
  "count": 3,
  "label": "expert_navigator",
  "points": null,
  "metadata": {},
  "badge_url": "https://partners.udre.com/p3/badges/5d21121f-4adb-4f07-ad26-5f58e71b3cb9?in_app=true",
  "description": "Expert Navigator"
},
{
  "count": 1,
  "label": "cool_car",
  "points": null,
  "metadata": {},
  "badge_url": "https://partners.udre.com/p3/badges/c1c6b917-4e03-4841-8205-1d87edeaef67?in_app=true",
  "description": "Cool Car"
},
{
  "count": 3,
  "label": "above_and_beyond",
  "points": null,
  "metadata": {},
  "badge_url": "https://partners.udre.com/p3/badges/58200f5e-e7b6-4983-8601-43655af2c9c3?in_app=true",
  "description": "Above And Beyond"
},
{
  "count": 1,
  "label": "great_amenities",
  "points": null,
  "metadata": {},
  "badge_url": "https://partners.udre.com/p3/badges/5cfe5d01-73e2-4c4c-b338-569fdd121df2?in_app=true",
  "description": "Great Amenities"
}
  ],
  "created_at": "2022-04-22T13:26:45.504Z",
  "updated_at": "2022-04-22T13:26:47.939Z",
  "metadata": {}
},
null,
2
  
```

<RefSubLayout.Divider />

## List reputations

**GET** `/v1/reputations`

* List all reputation objects.
* This request returns an object with a `results` property that contains an array of up to `limit` reputation objects.

### Query parameters

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/reputations?limit=2 \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/reputations?limit=2"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

[
  {
"id": "01805174-1bff-8dd4-63fe-9397ece30973",
"account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
"employer": "GigDrive",
"rating": "4.55",
"acceptance_rate": "0.92",
"ontime_rate": "0.93",
"achievements": [
  {
"count": 2,
"label": "excellent_service",
"points": null,
"metadata": {},
"badge_url": "https://partners.udre.com/p3/badges/23d730df-8bd5-4929-ae97-01d07a434b85?in_app=true",
"description": "Excellent Service"
  },
  {
"count": 2,
"label": "great_conversation",
"points": null,
"metadata": {},
"badge_url": "https://partners.udre.com/p3/badges/02b67a89-5ac3-4c46-b366-382c96d74c8c?in_app=true",
"description": "Great Conversation"
  }
],
"created_at": "2022-04-22T13:26:45.504Z",
"updated_at": "2022-04-22T13:26:47.939Z",
"metadata": {}
  },
  {
"id": "018047dd-b443-faf0-032e-716da12c09ab",
"account": "018047dd-8917-dee9-3000-b20bea907b35",
"employer": "GigAndGo",
"rating": "4.99",
"acceptance_rate": "0.91",
"ontime_rate": "0.88",
"achievements": [
  {
"count": 1,
"label": "expert_navigator",
"points": null,
"metadata": {},
"badge_url": "https://partners.udre.com/p3/badges/921453d1-bdfc-4a00-80fb-3fb71b67b947?in_app=true",
"description": "Expert Navigator"
  },
  {
"count": 2,
"label": "cool_car",
"points": null,
"metadata": {},
"badge_url": "https://partners.udre.com/p3/badges/a09b1e01-e539-4b26-ae56-017ce6f86dee?in_app=true",
"description": "Cool Car"
  }
],
"created_at": "2022-04-20T16:45:53.604Z",
"updated_at": "2022-04-20T16:45:56.188Z",
"metadata": {}
  }
],
null,
2
  
```
